Update Item's Shipping Method
1 min
PATCH
https://api.upstartcommerce.com/v1/cart/{customerId}/cart/items/{itemId}/shippingmethod
itemIdstringUnique identifier of the cart item.
customerIdstringUnique identifier representing the "owner" of the cart.
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringThe site identifier.
bodystring<p>The request body should contain the shipping-method id that the associated cart item should be updated to.</p>
202<p>Success-the cart-item shipping method was updated.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
404The requested resource was not found in the NoChannel system.
curl --request PATCH \
--url https://api.upstartcommerce.com/v1/cart/{customerId}/cart/items/{itemId}/shippingmethod \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--header 'x-upstart-site: string' \
--data '{"body":"string"}'